### Method

# EDataServer SourceMailSubmission get_transport_uid

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_mail_submission_get_transport_uid (
      ESourceMailSubmission* extension
    )

#### Description [src]

Returns the `ESource:uid` of the `ESource` that describes the mail transport to be used for outgoing messages.

Available since: 3.6

Gets property | `EDataServer.SourceMailSubmission:transport-uid`

#### Return value

Type: `const gchar*`

The mail transport `ESource:uid`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.